Membuat Label Grid Koordinat Otomatis

3 komentar
Dalam Artikel kali ini kita akan membuat label koordinat x dan y beradasarkan grid secara otomatis dengan menggunakan Autolisp.
Dengan cara ini kita bisa menghemat waktu dan tenaga karena kita tidak perlu mengeluarkan koordinat satu per satu.


Pertama tama silahkan anda copy paste script autolisp di bawah ini ke dalam notepad kemudian kalian save dengan nama gridxy.lsp



a sudah di save sekarang kita kembali ke autocad untuk memasukan autolisp tadi yang sudah di save.Berikut cara nya :
  • Di menu Command silahkan ketik APPLOAD
  • Kemudian pilih file gridxy.lsp yang sudah di save tadi.
  • Lalu Klik Load
  • kemudian pilih salah satu
    • Always Load = Untuk selalu me Load Autolisp itu ketika membuka gambar.
    • Load Once = Untuk meload sementara saja (anda harus me load ulang ketika gambar di close)
  • jika sukses akan mucul tulisan gridxy.lsp seccesfully loaded
  • kemudian klik close

Selanjut nya adalah kita akan memberi label koordinat nya berdasarkan grid secara otomatis.
  • Di menu command ketikan gridxy
  • Enter
  • Lalu masukan nilai skala peta yang di gunakan
    • contoh saya menggunakan skala peta 1:1000 lalu masukan nilai 1000
  • Enter
  • Kemudian kita akan di suruh memasukan titik koordinat awal grid pada contoh ini saya menggunakan titik awal dengan nilai koordinat X=1000 dan Y=1000
  • Lalu masukan nilai X koordinat awal titik
    • contoh saya menggunakan nilai koordinat awal X = 1000 lalu masukan nilai 1000
  • Enter
  • Lalu masukan nilai Y koordinat awal titik
    • contoh saya menggunakan nilai koordinat awal Y = 1000 lalu masukan nilai 1000
  • Enter
  • masukan nilai baris berapa baris yang ingin di buat
    • contoh saya menggunakan 31 baris lalu ketik 31
  • Enter
  • masukan nilai kolom berapa kolom yang ingin di buat
    • contoh saya menggunakan 31 kolom lalu ketik 31
  • Enter
  • Silahkan tunggu hingga semua koordinat selesai di buat.

Silahkan klik link download dibawah buat mendownload file Autolisp (.lisp) via Google Drive atau Mediafire.

Apabila link eror atau file tidak bisa digunakan, silahkan laporkan dengan cara menulis komentar pada artikel ini, Terimakasih.


Berikut Video nya :


Note :
  •  Anda juga bisa meninggal kan jejak dengan berkomentar di kolom komentar di bawah.
  • Terima kasih semoga bermanfaat :)

Related Posts

3 komentar

  1. Selamat siang kak saya mau menggunakan script yang tertera disatas, namun script tersebut tidak dapat di copy dan di paste kan pada notepad. bagaimana solusi nya ya kak? sebelumnya saya ucapkan terimakasih.

    BalasHapus
  2. script diatas klo di copy paste keluarnya malah alamat web...

    BalasHapus
  3. (defun c:gridxy ()
    (setq osn (getvar "osmode"))
    (setvar "osmode" 0)

    (defun grids ()
    (setq lgrid (/ skala 100))
    (setq lgrid1 (/ lgrid 10))
    (setq lgrid2 (/ lgrid 2))
    (setq g1 (polar g0 0 lgrid1))
    (setq g2 (polar g0 0 lgrid2))
    (setq g3 (polar g0 pi lgrid1))
    (setq g4 (polar g0 pi lgrid2))
    (setq g5 (polar g0 (* 0.5 pi) lgrid1))
    (setq g6 (polar g0 (* 0.5 pi) lgrid2))
    (setq g7 (polar g0 (* 1.5 pi) lgrid1))
    (setq g8 (polar g0 (* 1.5 pi) lgrid2))
    (command "color" "red")
    (command "layer" "M" "GRID" "")
    (command "point" g0)
    (command "color" 72)
    (command "-linetype" "s" "continuous" "")
    (command "line" g1 g2 "")
    (command "line" g3 g4 "")
    (command "line" g5 g6 "")
    (command "line" g7 g8 "")
    (setq htext (* (/ skala 1000) 3.0)) ;tinggi huruf text
    (command "color" "white")
    (command "layer" "M" "GRID text" "")
    (command "text"
    "j"
    "ML"
    (polar g2 0 (* 2 lgrid1))
    htext
    "0"
    (rtos PY1 2 2)
    )
    (command "text"
    "j"
    "MR"
    (polar g8 (* 1.5 pi) (* 2 lgrid1))
    htext
    "90"
    (rtos PX1 2 2)
    )
    ) ;defun grids

    (setq skala (getreal "\nSkala Peta <5000, 2000, 1000, 500> ? : "))
    (setq PX1 (getreal "\nKoordinat Titik awal grid (X) ? : "))
    (setq PY1 (getreal "\nKoordinat Titik awal grid (Y) ? : "))
    (setq baris (getint "\nBerapa baris ? : "))
    (setq kolom (getint "\nBerapa kolom ? : "))
    (setq jgrid (/ skala 10.0))
    (repeat baris
    (setq g0 (list PX1 PY1))
    (repeat kolom
    (grids)
    (setq PX1 (+ PX1 jgrid))
    (setq PY1 PY1)
    (setq g0 (list PX1 PY1))
    ) ;kolom
    (setq PX1 (- PX1 (* jgrid kolom)))
    (setq PY1 (+ PY1 jgrid))

    ) ;baris

    (setq osn (getvar "osmode"))
    (setvar "osmode" 5)

    );defun

    BalasHapus

Posting Komentar

Berlangganan Via Email